import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name="Auto-Research",
    version="1.0",
    author="Sidharth Pal",
    author_email="sidharth.pal1992@gmail.com",
    description="Geberate scientific survey with just a query",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/sidphbot/Auto-Research",
    project_urls={
        "Docs" : "https://github.com/example/example/README.md",
        "Bug Tracker": "https://github.com/sidphbot/Auto-Research/issues",
        "Demo": "https://www.kaggle.com/sidharthpal/auto-research-generate-survey-from-query",
    },
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Environment :: Console",
        "Environment :: Other Environment",
        "Intended Audience :: Developers",
        "Intended Audience :: Education",
        "Intended Audience :: Science/Research",
        "Intended Audience :: Other Audience",
        "Topic :: Education",
        "Topic :: Education :: Computer Aided Instruction (CAI)",
        "Topic :: Scientific/Engineering",
        "Topic :: Scientific/Engineering :: Artificial Intelligence",
        "Topic :: Scientific/Engineering :: Information Analysis",
        "Topic :: Scientific/Engineering :: Medical Science Apps.",
        "Topic :: Scientific/Engineering :: Physics",
        "Natural Language :: English",
        "License :: OSI Approved :: GNU General Public License (GPL)",
        "License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)",
        "License :: OSI Approved :: GNU Lesser General Public License v3 or later (LGPLv3+)",
        "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
        "Operating System :: POSIX :: Linux",
        "Operating System :: MacOS :: MacOS X",
        "Environment :: GPU",
        "Environment :: GPU :: NVIDIA CUDA",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
    ],
    package_dir={"": "src"},
    packages=setuptools.find_packages(where="src"),
    python_requires=">=3.7",
    dependency_urls=[
        "https://github.com/jaepil/pdfminer3k/archive/1.0.4.zip#egg=pdfminer",
        "https://s3-us-west-2.amazonaws.com/ai2-s2-scispacy/releases/v0.4.0/en_core_sci_scibert-0.4.0.tar.gz#egg=en_core_sci_scibert",
        "https://s3-us-west-2.amazonaws.com/ai2-s2-scispacy/releases/v0.4.0/en_core_sci_lg-0.4.0.tar.gz#egg=en_core_sci_lg",
    ],
    install_requires=[
        "pip",
        "boto3==1.9.118",
        "requests==2.20.0",
        "unicodedata2==11.0.0",
        "pdfminer",
        "sentence-transformers",
        "pdftotext",
        "arxiv",
        "arxiv2bib",
        "scholarly",
        "PyMuPDF==1.18.14",
        "Pillow",
        "tabula-py",
        "sentencepiece",
        "keybert",
        "spacy[all]",
        "scispacy",
        "amrlib",
        "transformers",
        "neuralcoref",
        "en_core_sci_scibert",
        "en_core_sci_lg",
        "bert-extractive-summarizer",

    ],
    tests_require=["pytest"],
    entry_points={
        'console_scripts': [
            'cursive = src.Surveyor:main',
        ],
    },

)